List templates
Get a list of all the template on an account
Scoped OAuth requires: templates.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseTemplate name or description to search
Filters templates by type.
"status_update"Used to specify both the field you wish to sort the results on (name/created_at), as well as the direction (asc/desc) of the results. The sort_by field and direction should be separated by a colon. Sort direction defaults to ascending.
"created_at:asc"Value in
- "name"
- "name:asc"
- "name:desc"
- "created_at"
- "created_at:asc"
- "created_at:desc"
Response Body
application/json
application/json
application/json
application/json
application/json
Get a template GET
Get a single template on the account Scoped OAuth requires: `templates.read`
Render a template POST
Render a template. This endpoint has a variable request body depending on the template type. For the `status_update` template type, the caller will provide the incident id, and a status update message. Scoped OAuth requires: `templates.read`